Package: grails.ui.script

## [Groovy] Class GrailsApplicationScriptRunner

- grails.ui.script.GrailsApplicationScriptRunner

-     @groovy.transform.CompileStatic
      class GrailsApplicationScriptRunner
      extends DevelopmentGrailsApplication

  Used to run Grails scripts within the context of a Grails application

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List<java.io.File>` | `scripts` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsApp` | `GRAILS_BANNER, SPRING_PROFILES, configuredEnvironment, developmentModeActive, directoryWatcher, enableBeanCreationProfiler`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.io.File>` | `scripts`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private GrailsApplicationScriptRunner (java.util.List<java.io.File> scripts, java.lang.Class<?>[] sources)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `main(java.lang.String[] args)` Main method to run an existing Application class
    `` | `org.springframework.context.ConfigurableApplicationContext` | `run(java.lang.String[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DevelopmentGrailsApplication` | `configureApplicationContextClass`
    `class GrailsApp` | `compileGroovyFile, configureDirectoryWatcher, configureEnvironment, createApplicationContext, createPluginManagerListener, enableDevelopmentModeWatch, isDevelopmentModeActive, loadPluginConfigurationsToMicronautContext, newMicronautContextBuilder, printRunStatus, recompile, run, run, run, setDevelopmentModeActive`

- - ### Field Detail

    - #### private java.util.List<java.io.File> scripts

  - ### Property Detail

    - #### java.util.List<java.io.File> scripts

  - ### Constructor Detail

    - #### private GrailsApplicationScriptRunner(java.util.List<java.io.File> scripts, java.lang.Class<?>[] sources)

  - ### Method Detail

    - #### static void main(java.lang.String[] args)

      Main method to run an existing Application class

      Parameters:
        `args` - The last argument is the Application class name. All other args are script names

    - #### @java.lang.Override org.springframework.context.ConfigurableApplicationContext run(java.lang.String[] args)